# Packmangroup: Multimedia
# Packmanpackagename: vlc
# Packman: Quentin Denis
# Packmandepends: a52dec alsa faad2 libcddb libcdio libdvbpsi3 libdvdcss libdvdnav libffmpeg0 libtheora xosd speex

Name:		vlc
Version:	0.8.1
Release:	0.pm.4
Group:		Applications/Multimedia
License:	GPL
Summary:	The VideoLAN client, also a very good standalone video player.
Summary(de):	Der VideoLAN Client, auch sehr gut als Standalone Player verwendbar.
URL:		http://www.videolan.org
Packager:	Quentin Denis <quentin@links2linux.de>
Distribution:	SuSE Linux 9.2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Prefix:		%{_prefix}

Buildrequires:	XFree86-devel, libpostproc, libcdio-devel
BuildRequires:	libcddb-devel >= 0.9.4
BuildRequires:	libvcd-devel
%{!?_without_dvd:Buildrequires: libdvdcss-devel >= 1.2.8}
%{!?_without_dvdread:Buildrequires: libdvdread-devel >= 0.9.4}
%{!?_without_dvdplay:Buildrequires: libdvdplay-devel >= 1.0.1}
%{!?_without_dvbpsi:Buildrequires: libdvbpsi3 >= 0.1.10}
%{!?_without_ogg:Buildrequires: libogg-devel}
%{!?_without_mad:Buildrequires: mad-devel >= 0.15.0b}
%{!?_without_ffmpeg:Buildrequires: libffmpeg-devel}
%{!?_without_faad:Buildrequires: faad2-devel}
%{!?_without_xvid:Buildrequires: xvid-devel >= 0.9.2}
%{!?_without_a52:Buildrequires: a52dec}
%{!?_without_dv:Buildrequires: libdv >= 0.99}
%{!?_without_flac:Buildrequires: flac-devel >= 1.1.0}
%{!?_without_vorbis:Buildrequires: libvorbis-devel}
%{!?_without_sdl:Buildrequires: SDL-devel}
%{!?_without_aa:Buildrequires: aalib-devel}
%{!?_without_esd:Buildrequires: esound-devel}
%{!?_without_arts:Buildrequires: arts-devel}
%{!?_without_alsa:Buildrequires: alsa-lib-devel}
%{!?_without_gtk:Buildrequires: gtk-devel}
%{!?_without_gnome:Buildrequires: gnome-libs-devel}
%{!?_without_lirc:Buildrequires: lirc}
%{!?_without_qt:Buildrequires: qt3-devel}
%{!?_without_kde:Buildrequires: kdelibs-devel}
%{!?_without_ncurses:Buildrequires: ncurses-devel >= 5}
%{!?_without_xosd:Buildrequires: xosd-devel >= 2.2.5}
%{!?_without_id3tag:BuildRequires: id3lib-devel}
%{!?_without_speex:BuildRequires: speex-devel >= 1.0.3}
%{!?_without_aa:BuildRequires: aalib >= 1.4}
%{!?_without_fribidi:BuildRequires: fribidi-devel}
%{!?_without_caca:BuildRequires: libcaca-devel}
%{!?_without_mozilla:BuildRequires: mozilla-devel >= 1.7.2}
BuildRequires:	libmpeg2-devel
BuildRequires:	live
Obsoletes:	videolan-client

Requires:	SDL >= 1.2.7
Requires:	XFree86-libs >= 4.3.99.902
Requires:	a52dec >= 0.7.4
Requires:	aalib >= 1.4.0
Requires:	alsa >= 1.0.6
Requires:	arts >= 1.2.1
Requires:	audiofile >= 0.2.5
Requires:	db1 >= 1.85
Requires:	esound >= 0.2.33
Requires:	faad2 >= 2.0
Requires:	flac >= 1.1.0
Requires:	freetype2 >= 2.1.7
Requires:	glib >= 1.2.10
Requires:	glib2 >= 2.2.3
Requires:	glibc >= 2.3.3
Requires:	gnome-libs >= 1.4.1.7
Requires:	gtk >= 1.2.10
Requires:	imlib >= 1.9.14
Requires:	kdelibs3 >= 3.2.1
Requires:	libcddb >= 0.9.5
Requires:	libcdio >= 0.69
Requires:	libdvbpsi3 >= 0.1.4
Requires:	libdvdcss >= 1.2.8
Requires:	libdvdnav >= 0.1.10
Requires:	libdvdplay >= 1.0.1
Requires:	libdvdread >= 0.9.4
Requires:	libffmpeg0 >= 0.4.9
Requires:	libgcc >= 3.3.3
Requires:	libid3tag >= 0.15.1b
Requires:	libmpeg2 >= 0.4.0b
Requires:	libogg >= 1.1
Requires:	libpng >= 1.2.5
Requires:	libstdc++ >= 3.3.3
Requires:	libtheora >= 0.9_1.0alpha3
Requires:	libvorbis >= 1.0.1
Requires:	libxml2 >= 2.6.7
Requires:	lirc >= 0.7.0cvs20040308
Requires:	mad >= 0.15.1b
Requires:	ncurses >= 5.4
Requires:	qt3 >= 3.3.1
Requires:	udev >= 021
Requires:	wxGTK >= 2.4.2
Requires:	xosd >= 2.2.5
Requires:	zlib >= 1.1.4

%description
VideoLAN is a highly portable multimedia player for various audio and
video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) as well as DVDs,
VCDs, and various streaming protocols. It can also be used as a server to
stream in unicast or multicast in IPv4 or IPv6 on a high-bandwidth network.

%description -l de
VideoLAN ist ein einfacher portierbarer Multimedia Player fuer verschiedene
Audio- und Videoformate (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...), DVDs,
VCDs, und verschieden Streaming Protokolle. Er kann auch als Server benutzt
werden um per Unicast oder Multicast im Netzwerk in IPv4 oder IPv6 zu streamen.

%description -l fr
VideoLAN est un player multimedia tr� portable pour diff�ents formats audio
et vid� (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) aussi bien que les DVDs, VCDs,
et de divers protocols de diffusion. Il peut �alement �re utilis�en temps que serveur
de diffusion en unicast ou multicast via IPv4 ou IPv6 sur des r�eaux haut-debit.


%package devel
Summary:	Header files and static library from the Videolan Client.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
VideoLAN Client (VLC) is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) as
well as DVDs, VCDs, and various streaming protocols.

Install this package if you need to build Videolan Client plugins or intend
to link statically to it.


%package mozillaplugin
Summary:	a plugin for embedded video playing
Summary(de):	Ein Plugin zum eingebetteten Video abspielen.
Group:		Applications/Multimedia
Requires:	%name = %version
Requires:	XFree86-libs >= 4.3.99.902
Requires:	glibc >= 2.3.3
Requires:	libffmpeg0 >= 0.4.9
Requires:	libgcc >= 3.3.3
Requires:	libogg >= 1.1
Requires:	libstdc++ >= 3.3.3
Requires:	libtheora >= 0.9_1.0alpha3
Requires:	mozilla >= 1.7.2

%description mozillaplugin
A plugin for embedded video playing.
%description -l de mozillaplugin
Ein Plugin zum eingebetteten Video abspielen.
%description -l fr mozillaplugin
Un plugin pour la lecture de video embarqu�.

%prep
%setup -q -n %{name}-%{version}

%build
#cp %{_libdir}/mozilla/plugins/mozplugger.so %{_libdir}/mozilla-%{mozver}/plugins/mozplugger.so.bak -f
#mv %{_libdir}/mozilla-%{mozver}/plugins/mozplugger.so.bak %{_libdir}/mozilla-%{mozver}/plugins/mozplugger.so -f
#rm %{_libdir}/mozilla -fr
#ln %{_libdir}/mozilla-%{mozver} %{_libdir}/mozilla -sf
#ln /usr/share/idl/mozilla-%{mozver} /usr/share/idl/mozilla -sf
#ln %{_libdir}/libxvidcore.so.2 %{_libdir}/libxvidcore.so -sf
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
export XPIDL=/opt/mozilla/lib/xpidl
export XPIDL_INCL=-I/opt/mozilla/share/idl/
export PATH=${PATH}:/opt/mozilla/bin

#CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=%_prefix \
	--enable-debug \
	%{?_without_dvd:--disable-dvd} \
	%{!?_without_dvdread:--enable-dvdread} \
	%{!?_without_dvdplay:--enable-dvdplay} \
	%{!?_without_dvbpsi:--enable-dvbpsi} \
	%{!?_without_v4l:--enable-v4l} \
	--enable-vcd \
	%{?_without_avi:--disable-avi} \
	%{?_without_asf:--disable-asf} \
	%{?_without_aac:--disable-aac} \
	%{?_without_ogg:--disable-ogg} \
	%{?_without_rawdv:--disable-rawdv} \
	--enable-mad \
	%{!?_without_ffmpeg:--enable-pp --enable-ffmpeg --with-ffmpeg=%{_prefix}} \
	%{!?_without_faad:--enable-faad} \
	%{!?_without_xvid:--enable-xvid} \
	%{?_without_mp4:--disable-mp4} \
	%{?_without_a52:--disable-a52} \
	%{?_without_cinepak:--disable-cinepak} \
	%{!?_without_dv:--enable-dv} \
	%{!?_without_flac:--enable-flac} \
	%{?_without_vorbis:--disable-vorbis} \
	%{?_with_tremor:--enable-tremor} \
	%{?_with_tarkin:--enable-tarkin} \
	%{!?_without_theora:--enable-theora} \
	--enable-x11 \
	--enable-xvideo \
	%{?_without_sdl:--disable-sdl} \
	--disable-qte \
	--disable-directx \
	--enable-fb \
	%{?_with_mga:--enable-mga} \
	%{?_with_svgalib:--enable-svgalib} \
	%{?_with_ggi:--enable-ggi} \
	%{?_with_glide:--enable-glide} \
	%{!?_without_aa:--enable-aa} \
	--without-wingdi \
        --enable-alsa \
	--enable-oss \
	%{!?_without_esd:--enable-esd} \
	%{!?_without_arts:--enable-arts} \
        --disable-waveout \
	%{!?_without_gtk:--enable-gtk} \
	--disable-familiar \
	%{!?_without_gnome:--enable-gnome} \
	%{!?_without_qt:--enable-qt} \
	%{?_with_kde:--enable-kde} \
	--disable-opie \
	--disable-macosx \
	--disable-qnx \
	--disable-intfwin \
	%{!?_without_ncurses:--enable-ncurses} \
	%{!?_without_xosd:--enable-xosd} \
	%{?_without_slp:--disable-slp} \
	%{!?_without_lirc:--enable-lirc} \
	%{!?_without_pth:--enable-pth} \
	--disable-st \
	--disable-testsuite \
	--enable-speex \
	--enable-plugins \
	--enable-livedotcom \
	--disable-mkv \
        --enable-wxwindows \
	--enable-mozilla
        
#	%{!?_without_fribidi:--enable-fribidi} \
#       %{!?_without_fribidi:--enable-fribidi} 

make %{?jobs:-j%jobs}

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
export vlcintf_xptdir=/opt/mozilla/lib/components
export plugindir=/opt/mozilla/lib/plugins

%makeinstall
#find  %{buildroot}%{_libdir}/vlc -name "*.so" | xargs strip
#strip %{buildroot}%{_bindir}/vlc
%find_lang vlc

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=VideoLAN Media Player
Comment=%{summary}
Icon=%{_datadir}/vlc/vlc48x48.png
Exec=vlc
Terminal=0
Type=Application
Categories=X-SuSE-Video
MimeType=video/x-msvideo
EOF

mkdir -p %{buildroot}%{_datadir}/applications
install %{name}.desktop %{buildroot}%{_datadir}/applications/

#creates strange desktop files:
#%su se_update_desktop_file -i %name Video
#Categories=AudioVideo;Player;X-SuSE-Video

install -d $RPM_BUILD_ROOT/opt/mozilla/lib/components/
install -d $RPM_BUILD_ROOT/opt/mozilla/lib/plugins/
mv ${RPM_BUILD_ROOT}/usr/lib/mozilla/components/vlcintf.xpt ${RPM_BUILD_ROOT}/opt/mozilla/lib/components/
mv ${RPM_BUILD_ROOT}/usr/lib/mozilla/plugins/libvlcplugin.so ${RPM_BUILD_ROOT}/opt/mozilla/lib/plugins/

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}

%files -f vlc.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS README THANKS
%doc doc/fortunes.txt doc/intf-vcd.txt
%doc doc/bugreport-howto.txt
%exclude %{_datadir}/doc/vlc/*
%{_bindir}/*vlc
%{_libdir}/vlc
%{_libdir}/libvlc_pic.a
%{_datadir}/applications/%{name}.desktop
%{_datadir}/vlc

%files devel
%defattr(-, root, root)
%doc HACKING 
%{_bindir}/vlc-config
%{_includedir}/vlc
%{_libdir}/libvlc.a
%{_libdir}/libvlc_pic.a

%files mozillaplugin
/opt/mozilla/lib/components/vlcintf.xpt
/opt/mozilla/lib/plugins/libvlcplugin.so

%changelog
* Wed Nov 24 2004 Quentin Denis <quentin@links2linux.de> 0.8.1-0.pm.4
- rebuilt with the new libcddb and libcdio versions

* Wed Nov 17 2004 Quentin Denis <quentin@links2linux.de> 0.8.1-0.pm.3
- removed obsoletes

* Sun Nov 14 2004 Quentin Denis <quentin@links2linux.de> 0.8.1-0.pm.2
- update to 0.8.1
- some changes on the spec file

* Wed Nov 03 2004 Quentin Denis <quentin@links2linux.de> 0.8.0-0.pm.1
- update to 0.8.0

* Wed Sep 15 2004 Quentin Denis <quentin@links2linux.de> <0.7.2>-<0.pm.9>
- added wxwindows
- added alsa
- some gui fixes 
- minor spec file improvement

* Thu Jul 22 2004 Rainer Lay <rainer@links2linux.de> <0.7.2>-<0.pm.5>
- replaced new requires by SuSEs base and update versions

* Tue Jun 22 2004 Rainer Lay <rainer@links2linux.de> <0.7.2>-<0.pm.1>
- added mozilla plugin

* Mon Jan 12 2004 Rainer Lay <rainer@links2linux.de> 0.7.2-0.pm.9
- changed mpeg2dec to libmpeg2

* Wed Jan  7 2004 Rainer Lay <rainer@links2linux.de> 0.7.2-0.pm.9
- added mpeg2dec
- added qt
- added kde

* Tue Dec 2 2003 Jason Luka
- Added fribidi support
- Added fribidi and mkv options to configure

* Sat Nov 29 2003 Jason Luka
- Fixed Matroska/EBML problem
- Updated script for mozilla plugin installation

* Fri Nov 28 2003 Jason Luka
- Update to 0.7.0-test1
- Updated version numbers on dependancies
- Removed ALSA support until RH/FC turns to kernel 2.6
- Added --enable-speex and --enable-pp
- Mozilla plugin now built for 1.4.1
- Currently broken (Matroska/EBML problems)

* Mon Aug 25 2003 Jason Luka
- Added matroska support
- Corrected some symlinking problems with the mozilla plugin

* Fri Aug 22 2003 Jason Luka <jason@geshp.com>
- Update to 0.6.2
- Changed menu item name to VideoLAN Media Player
- Added openslp support
- Added libtar support (needed for skins)
- Added symlink to libxvidcore.so, thanks to new version of that software

* Fri Aug 1 2003 Jason Luka <jason@geshp.com>
- Update to 0.6.1
- Fixed file structure problems I created to accomodate the mozilla plugin
- Changed vendor name for desktop install
- Moved vlc to base menu
- Moved plugins from /usr/lib/mozilla to /usr/lib/mozilla-x.x.x
- Added custom patch to accomodate mozilla plugin
- Added execution of bootstrap since Makefile.am was altered

* Tue Jul 8 2003 Jason Luka <jason@geshp.com>
- Update to 0.6.0
- Add id3lib, dv, faad, qt, kde, and mozilla plugin support
- Added script to symlink mozilla-1.2.1 directories to mozilla so build can complete

* Sat Apr 5 2003 Jason Luka <jason@geshp.com>
- Rebuilt for Red Hat 9
- Changed dependencies for ffmpeg's new name
- Required lirc support at build-time 

* Sat Mar 25 2003 Jason Luka <jason@geshp.com>
- Fixed Buildrequire statements to require all plugins at compile-time
- Fixed Require statements so users don't have to install every plugin

* Thu Mar 23 2003 Jason Luka <jason@geshp.com>
- Renamed ffmpeg to libffmpeg
- Rebuilt for videolan site
- Autolinked /dev/dvd to /dev/cdrom

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.2.
- Fix the dv build dependency, thanks to Alan Hagge.
- Added flac support.
- Fixed the libdvbpsi requirements.

* Mon Feb 24 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against the new xosd lib.

* Wed Feb 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.
- Major spec file update.

* Fri Nov 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.6.

* Tue Oct 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.5.
- Minor --with / --without adjustments.

* Sun Oct  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.
- Added all --without options and --with qt.

* Mon Aug 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.4.

* Fri Jul 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.3.

* Fri Jul 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.2.

* Wed Jun  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.1.

* Fri May 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.0.
- Disabled qt interface, it's hell to build with qt2/3!
- Use %%find_lang and %%{?_smp_mflags}.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.1.

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.0.

* Sat Jan 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the dependency on libdvdcss package, use the built in one instead,
  because 1.x.x is not as good as 0.0.3.ogle3.

* Tue Jan  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.92.
- Build fails with libdvdcss < 1.0.1.

* Tue Nov 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.91 and now requires libdvdcss 1.0.0.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split libdvdcss into a separate package since it's also needed by the
  xine menu plugin.

* Thu Oct 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.90.
- Removed ggi, svgalib and aalib since they aren't included in Red Hat 7.2.

* Mon Aug 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.83.

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.82.

* Mon Jul 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.81.
- Added all the new split libdvdcss.* files to the %%files section.

* Tue Jun  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to the latest release, 0.2.80.

* Wed May 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to today's CVS version, works great! :-)
- Fixed the desktop menu entry.

* Tue May 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup to make it look more like others do.
- Added the use of many macros.
- Disabled automatic requires and provides (the package always needed qt,
  gtk+, gnome etc. otherwise).
- Added a system desktop menu entry.

* Mon Apr 30 2001 Arnaud Gomes-do-Vale <arnaud@glou.org>
Added relocation support and compile fixes for Red Hat 7.x.

* Sat Apr 28 2001 Henri Fallon <henri@videolan.org>
New upstream release (0.2.73)

* Mon Apr 16 2001 Samuel Hocevar <sam@zoy.org>
New upstream release (0.2.72)

* Fri Apr 13 2001 Samuel Hocevar <sam@zoy.org>
New upstream release (0.2.71)

* Sun Apr 8 2001 Christophe Massiot <massiot@via.ecp.fr>
New upstream release (0.2.70)

* Fri Feb 16 2001 Samuel Hocevar <sam@via.ecp.fr>
New upstream release

* Tue Aug  8 2000 Samuel Hocevar <sam@via.ecp.fr>
Added framebuffer support

* Sun Jun 18 2000 Samuel Hocevar <sam@via.ecp.fr>
Took over the package

* Thu Jun 15 2000 Eric Doutreleau <Eric.Doutreleau@int-evry.fr>
Initial package

